Serveur du portail VMware Workspace 2.0 | Juin 2014 | Build 1885638
Workspace for Windows 2.0 | Juin 2014 | Build 1887286
VMware Workspace Integration Broker 2.0 | Juin 2014 | Build 1788871

Dernière mise à jour : 11 juin 2014

Contenu des notes de mise à jour

Les notes de mise à jour couvrent les sujets suivants :

Nouveautés du portail VMware Workspace 2.0

La version du portail VMware Workspace 2.0 offre les nouvelles fonctionnalités suivantes.

  • Prise en charge de VMware Horizon 6 avec les applications hébergées View
  • Pour lancer des applications hébergées View dans Horizon 6, Horizon Client 3.0 ou version ultérieure doit être installé.

  • Simplification de Workspace afin de fournir exclusivement des fonctionnalités de gestion d'identité et d'application
    • Suppression de la fonctionnalité Horizon Files
    • Suppression de la gestion des périphériques Horizon Switch
  • Prise en charge de plusieurs instances d'espace View provenant du même Active Directory
  • La prise en charge de ThinApp 5.0 64 bits est désormais native dans Windows Agent (prête à l'emploi)
  • Prise en charge de ThinApp 5.0.1
  • Amélioration de la création des rapports des journaux d'audit à l'aide d'Elasticsearch
  • Amélioration de la création des rapports sur l'utilisation des applications et l'activité des utilisateurs
  • Renforcement des contrôles de marque personnalisée
  • Amélioration des performances de synchronisation des droits d'accès et des annuaires
  • Prise en charge de plusieurs serveurs DNS dans un vApp Workspace
  • Mise à jour vers la version bibliothèque OPENSSL openssl-1.0.1h s'il est nécessaire de traiter CVE-2014-0224, CVE-2014-0198, CVE-2010-5298 et CVE-2014-3470

Internationalisation

Le portail VMware Workspace 2.0 est disponible dans les langues suivantes :

  • Anglais
  • Français
  • Allemand
  • Japonais
  • Chinois simplifié

Compatibilité, installation et mise à niveau

Compatibilité avec VMware® vCenter™ et VMware ESXi™

Le portail VMware Workspace 2.0 prend en charge les versions suivantes de vCenter et d'ESXi :

  • vCenter 5.0 U2, 5.1, 5.1 U1, 5.5 et 5.5 U1
  • ESXi 5.0 U2, 5.1, 5.1 U1, 5.5 et 5.5 U1

Compatibilité des navigateurs avec la console d'administration de Workspace et d'autres interfaces

Les navigateurs Web suivants peuvent être utilisés pour afficher l'interface Web du programme de configuration, l'interface Web de Connector et la console d'administration de Workspace :

  • Mozilla Firefox 28 ou version ultérieure pour systèmes Windows et Mac (les plus récents)
  • Mozilla Firefox 34.0 ou version ultérieure pour systèmes Windows et Mac
  • Internet Explorer 10 et 11 pour systèmes Windows
  • Safari 6.1.3 ou version ultérieure pour systèmes Mac

Pour connaître les autres exigences en matière de configuration système, consultez le guide Installation et configuration du portail VMware Workspace disponible sur la page d'accueil du portail VMware Workspace.

Compatibilité des composants de Workspace

La Matrice d'interopérabilité des produits VMware fournit des informations sur la compatibilité des versions actuelles et précédentes des produits et composants VMware, tels que VMware vCenter Server, VMware ThinApp et View™.

Mise à niveau d'Horizon Workspace vers le portail VMware Workspace 2.0

La mise à niveau d'Horizon Workspace 1.8.2 vers Workspace 2.0 est l'unique chemin de migration pris en charge. Avant de commencer la mise à niveau vers la version 2.0, vous devez effectuer une mise à niveau vers Horizon Workspace 1.8.2.

Exporter les fichiers Horizon Workspace Data-va avant de mettre à niveau

Le portail VMware Workspace 2.0 n'utilise plus Horizon Files. Si vous souhaitez continuer à utiliser une solution Enterprise File Sync & Share (EFSS) après la mise à niveau, vous pouvez exporter les fichiers existants de la machine virtuelle data-va pour les importer dans un système EFSS. Voir l' article de la base de connaissances VMware KB 2080325.

Procédure de mise à niveau vers le portail VMware Workspace 2.0

Au cours de la mise à niveau, vous exécutez la commande de mise à niveau à partir de la ligne de commande sur la machine virtuelle configurator-va. Tous les services Workspace étant arrêtés pendant la mise à niveau, vous devez planifier celle-ci en tenant compte de la durée d'indisponibilité prévue.

Avant de démarrer une mise à niveau, vérifiez que toutes les machines virtuelles sont sous tension et que le système fonctionne.

  1. Accédez à la machine virtuelle configurator-va et connectez-vous en tant qu'utilisateur racine pour rechercher les mises à jour de Workspace
  2. Exécutez la commande updatemgr.hzn pour vérifier la disponibilité éventuelle de mises à niveau en ligne
  3.  

    /usr/local/horizon/lib/menu/updatemgr.hzn check

     

  4. Exécutez la commande updatemgr.hzn.
  5.  

    /usr/local/horizon/lib/menu/updatemgr.hzn update20

     

    Les messages générés pendant la mise à niveau sont enregistrés dans le fichier update.log situé dans

    /opt/vmware/var/log/update.log.

     

  6. Redémarrez le vApp depuis vCenter.

Pour en savoir plus sur la préparation à la mise à niveau et la configuration de Workspace après une mise à niveau, consultez le Guide de mise à niveau du portail VMware Workspace.

Procédure de mise à niveau sans connexion Internet

Préparez Workspace, comme expliqué dans la section Préparer un serveur Web local. Notez que les noms des fichiers zip ne sont pas les mêmes que ceux des exemples. Si vous utilisez un serveur proxy pour vous connecter à Internet, consultez la rubrique Configurer les paramètres de serveur proxy.

  1. Exécutez la commande updatelocal.hzn sur la machine virtuelle configurator-va pour configurer un référentiel de mise à niveau afin qu'il utilise un serveur Web local.

 

/usr/local/horizon/lib/menu/updatelocal.hzn seturl -update20 http://VotreServeurWeb/repopath

 

REMARQUE : pour rétablir l'URL en ligne par défaut, exécutez la commande suivante :

/usr/local/horizon/lib/menu/updatelocal.hzn setdefault

 

Documentation

Pour consulter l'ensemble de la documentation disponible sur le portail VMware Workspace 2.0, accédez à la page d'accueil du portail VMware Workspace.

Problèmes connus

Les problèmes de Workspace ajoutés dans la dernière version sont identifiés par le symbole *. Les autres problèmes connus sont transmis depuis les versions précédentes.

  • * La mise à niveau d'un vApp comportant plusieurs machines virtuelles service-va entraîne la perte de la configuration Elasticsearch.
  • Solution : Activez la fonction de cas multiples sur chaque machine virtuelle service-va en cluster. Connectez-vous à chacune d'elles en tant qu'utilisateur racine et exécutez

    hznAdminTool configureElasticSearch -ES_MULTICAST_ENABLED true

     

  • *Après la mise à niveau, les caractères non-ASCII dans le nom unique de base et le nom d'utilisateur ND Bind peuvent être affichés dans le Connector sous forme de points d'interrogation. Après la mise à niveau d'une version 1.8.x, le nom unique de base et le nom d'utilisateur ND Bind figurant sur la page Annuaire Connector peuvent afficher des points d'interrogation pour les caractères non-ASCII.
  • Solution : Après avoir effectué une mise à niveau d'une version 1.8.X, remplacez manuellement tous les points d'interrogation par les caractères appropriés (sur les pages Annuaire et Pool View)/

  • * Le nom local zh-Hans ou zh-Hant ne fonctionne pas dans Internet Explorer 11.
  • Solution : Dans Internet Explorer, l'utilisateur doit spécifier zh_CN plutôt que zh-Hans et zh-Hans-CN, zh_TW plutôt que zh-Hant et zh-Hant-CN, et zh_HK plutôt que zh-Hant-HK pour accéder à son portail utilisateur.

  • * Il est impossible de télécharger les noms de modules ThinApp contenant des caractères non-ASCII à l'aide du téléchargement via HTTP.
  • Solution : Pour autoriser les noms de modules ThinApp contenant des caractères non-ASCII :

    1. Connectez-vous au serveur connector-va en tant qu'utilisateur racine.
    2. Dans le fichier /etc/init.d/tcserver-c2, ajoutez la ligne
      export LC_TYPE=en_US.UTF-8".
    3. Redémarrez tcserver-c2. Tapez /etc/init.d/tcserver-c2 restart
    4. Répétez les étapes 1 et 2 pour tous les serveurs connector-va de votre déploiement.

    Ce message est incorrect. Les utilisateurs peuvent utiliser leurs applications Citrix dans leur périphérique mobile.

  • * Problème de documentation. La documentation d'Office 365 figurant dans le Guide de l'administrateur du portail VMware Workspace indique à tort qu'en tant que condition préalable vous devez exécuter l'applet de commande Microsoft Powershell Convert-MsolDomanToFederated, alors qu'il n'est pas nécessaire.
  • Vous devez plutôt suivre la procédure d'exécution de l'applet de commande Set-MsolDomainAuthentication cmdlet.

  • Impossible de lancer des applications Citrix dans Internet Explorer 8.
  • Workspace ne prend pas en charge l'utilisation d'Internet Explorer 8 pour le lancement d'une application Citrix.

    Solution : Demandez aux utilisateurs d'effectuer une mise à niveau vers une version plus récente d'Internet Explorer.